crashpad::ImageAnnotationReader Class Reference

Reads Annotations from another process via a ProcessMemoryRange. More...

`#include "snapshot/crashpad_types/image_annotation_reader.h"`

## Public Member Functions

| ImageAnnotationReader (const ProcessMemoryRange *memory)
| Constructs the object. More...
bool | SimpleMap (VMAddress address, std::map< std::string, std::string > *annotations) const
| Reads annotations that are organized as key-value pairs, where all keys and values are strings. More...
bool | AnnotationsList (VMAddress, std::vector< AnnotationSnapshot > *annotations) const
| Reads the module's annotations that are organized as a list of typed annotation objects. More...

## Detailed Description

Reads Annotations from another process via a ProcessMemoryRange.

These annotations are stored for the benefit of crash reporters, and provide information thought to be potentially useful for crash analysis.

## Constructor & Destructor Documentation

## ImageAnnotationReader()

crashpad::ImageAnnotationReader::ImageAnnotationReader | ( | const ProcessMemoryRange * | memory | ) |

explicit

Constructs the object.

Parameters

  [in] | memory | A memory reader for the remote process.

## Member Function Documentation

## AnnotationsList()

bool crashpad::ImageAnnotationReader::AnnotationsList | ( | VMAddress | address,
|  | std::vector< AnnotationSnapshot > * | annotations
| ) |  | const

Reads the module's annotations that are organized as a list of typed annotation objects.

Parameters

  [in] | address | The address in the target process' address space of an AnnotationList.
  [out] | annotations | The annotations read, valid if this method returns `true`.

Returns
  `true` on success. `false` on failure with a message logged.

## SimpleMap()

bool crashpad::ImageAnnotationReader::SimpleMap | ( | VMAddress | address,
|  | std::map< std::string, std::string > * | annotations
| ) |  | const

Reads annotations that are organized as key-value pairs, where all keys and values are strings.

Parameters

  [in] | address | The address in the target process' address space of a SimpleStringDictionary containing the annotations to read.
  [out] | annotations | The annotations read, valid if this method returns `true`.

Returns
  `true` on success. `false` on failure with a message logged.

The documentation for this class was generated from the following files:

- snapshot/crashpad_types/image_annotation_reader.h
- snapshot/crashpad_types/image_annotation_reader.cc